Name:           perl-Workflow
Version:        0.26
Release:        1%{?dist}
Summary:        Simple, flexible system to implement workflows
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Workflow/
Source0:        http://www.cpan.org/modules/by-module/Workflow/Workflow-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor) >= 0.18
BuildRequires:  perl(Class::Factory) >= 1
BuildRequires:  perl(Class::Observable) >= 1.04
BuildRequires:  perl(DateTime) >= 0.15
BuildRequires:  perl(DateTime::Format::Strptime) >= 1
BuildRequires:  perl(DBD::Mock) >= 0.1
BuildRequires:  perl(Exception::Class) >= 1.1
BuildRequires:  perl(Log::Dispatch) >= 2
BuildRequires:  perl(Log::Log4perl) >= 0.34
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(XML::Simple) >= 2
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(Class::Accessor) >= 0.18
Requires:       perl(Class::Factory) >= 1
Requires:       perl(Class::Observable) >= 1.04
Requires:       perl(DateTime) >= 0.15
Requires:       perl(DateTime::Format::Strptime) >= 1
Requires:       perl(DBD::Mock) >= 0.1
Requires:       perl(Exception::Class) >= 1.1
Requires:       perl(Log::Dispatch) >= 2
Requires:       perl(Log::Log4perl) >= 0.34
Requires:       perl(Test::Exception)
Requires:       perl(XML::Simple) >= 2
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
The 'Workflow' Perl module implements a standalone workflow system. It
aims to be simple but flexible and therefore powerful. Each piece of
the workflow system has a direct and easily stated job, and hopefully
you'll find that you can put the pieces together to create very useful
systems.

%prep
%setup -q -n Workflow-%{version}

# Filter unwanted Requires
# Data::UUID has unclear licensing and is optional anyway
cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
  sed -e '/perl(Data::UUID)/d'
EOF

%define __perl_requires %{_builddir}/Workflow-%{version}/%{name}-req
chmod +x %{__perl_requires}

# Pack the sample app to not pick up deps
tar cvzf examples.tar.gz eg

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot} %{__perl_requires}

%files
%defattr(-,root,root,-)
%doc Changes README TODO VERSION doc examples.tar.gz
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Mar 16 2007 Andreas Thienemann <andreas@bawue.net> 0.26-1
- Specfile autogenerated by cpanspec 1.69.1.
- Cleaned up for FE
- Disabled Dependency on Data::UUID
